%define name kfte
%define version 6.1
%define release 2mdk

Name: %{name}
Summary: KDE FTE - A syntax highlighting programmer editor
Summary(fr): KDE FTE - Un editeur avec colorisation de la syntaxe
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch: %{name}-%{version}.patch.bz2
Group: Editors
URL: http://ixtas.fri.uni-lj.si/~markom/fte
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
KDE FTE - A syntax highlighting programmer editor

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT \
	--disable-rpath
make -j 2

%install
make install 
#prefix=$RPM_BUILD_ROOT/%{prefix}
tar cf - config | ( cd $RPM_BUILD_ROOT%{prefix}/share/apps/%{name}/ ; tar xf - )
cd $RPM_BUILD_ROOT%{prefix}/share/apps/%{name}
mkdir -p $RPM_BUILD_ROOT/etc/skel 
$RPM_BUILD_ROOT%{prefix}/bin/cfte config/main.fte $RPM_BUILD_ROOT/etc/skel/.fterc

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%config /etc/skel/.fterc
/usr/bin/*
%dir /usr/share/apps/kfte
%dir /usr/share/apps/kfte/config
/usr/share/apps/kfte/config/*.fte
%dir /usr/share/apps/kfte/config/kbd
/usr/share/apps/kfte/config/kbd/*.fte
%dir /usr/share/apps/kfte/config/menu
/usr/share/apps/kfte/config/menu/*
/usr/share/apps/kfte/*.cnf
%dir /usr/share/apps/kfte/toolbar/*.xpm
#%dir /usr/share/doc/HTML/en/kfte
#/usr/share/doc/HTML/en/kfte/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 6.1-2mdk
- fix files section
- fix group

* Tue Oct 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation for Mandrake

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
